Creating a Test Case Tracker Item
Collect the test step field idsĀ 
Use the following endpoint to check your test case tracker configuration to find out the custom field ids according to test steps. All other fields can be filled as they are described here.
URL
GET /v2/tracker/{testCaseTrackerId}/field
Response Body Example
 {
"id": 1000000,
"name": "Test Steps",
"type": "TableField",
"hidden": false,
"columns": [
{
"id": 1000001,
"name": "Action",
"type": "WikiTextField",
"hidden": false
},
{
"id": 1000002,
"name": "Expected result",
"type": "WikiTextField",
"hidden": false
},
{
"id": 1000003,
"name": "Critical",
"type": "BoolField",
"hidden": false
},
{
"id": 1000004,
"name": "Id",
"type": "WikiTextField",
"hidden": true
}
]
}
Create the test case tracker itemĀ 
Use the following endpoint to compose the test case creation request after finding the ids of the test step fields.
URL
POST /v2/tracker/{testCaseTrackerId}/item
Request Body Example
{
"name": "My first Test Case",
"description": "My test case",
"descriptionFormat": "PlainText",
"status": {
"value": 1,
"fieldId": 7,
"type": "SingleOptionChoiceFieldValue"
},
"tableValues": [
{
"rows": [
{
"fieldValues": [
{
"value": "First action",
"fieldId": 1000001,
"type": "WikiTextFieldValue"
},
{
"value": "First expected result",
"fieldId": 1000002,
"type": "WikiTextFieldValue"
},
{
"value": false,
"fieldId": 1000003,
"type": "BoolFieldValue"
}
]
},
{
"fieldValues": [
{
"value": "Second action",
"fieldId": 1000001,
"type": "WikiTextFieldValue"
},
{
"value": "Second expected result",
"fieldId": 1000002,
"type": "WikiTextFieldValue"
},
{
"value": false,
"fieldId": 1000003,
"type": "BoolFieldValue"
}
]
}
],
"fieldId": 1000000,
"type": "TrackerItemTableFieldValue"
}
]
}
* 
All the test steps are considered as one table field, so at the moment (in Codebeamer 9.5) there is no way to just update one step directly.
Was this helpful?